﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Wpf;

namespace _9491
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.DecimalDegree;

            RectangleShape rect = new RectangleShape(-180, 90, 180, -90);
            map.TrackOverlay.TrackShapeLayer.InternalFeatures.Add(new Feature(rect));

            LineShape line = new LineShape();
            line.Vertices.Add(new Vertex(-260, -10));
            line.Vertices.Add(new Vertex(260, 10));

            map.TrackOverlay.TrackShapeLayer.InternalFeatures.Add(new Feature(line));

            GraticuleFeatureLayer graticuleLayer = new GraticuleFeatureLayer();
            LayerOverlay o = new LayerOverlay();
            o.Layers.Add(graticuleLayer);
            map.Overlays.Add(o);

            map.CurrentExtent = new RectangleShape(-180, 90, 180, -90);
            map.Refresh();
        }
    }
}